IPAddressLoginHandlerBeanDefinitionParser (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class IPAddressLoginHandlerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerBeanDefinitionParser
                  edu.internet2.middleware.shibboleth.idp.config.profile.authn.IPAddressLoginHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class IPAddressLoginHandlerBeanDefinitionParser

extends AbstractLoginHandlerBeanDefinitionParser

Spring bean definition parser for IP address authentication handlers.

Field Summary
`static QName` | `SCHEMA_TYPE` Schema type.

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`IPAddressLoginHandlerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, BeanDefinitionBuilder builder)`
`protected Class` | `getBeanClass(Element element)`
`protected List<IPRange>` | `getIPRanges(Element config)` Gets the list of IP ranges given in the configuration.

Methods inherited from class edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerBeanDefinitionParser
`shouldGenerateId`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_TYPE

    public static final QName SCHEMA_TYPE

  Schema type.

Constructor Detail

### IPAddressLoginHandlerBeanDefinitionParser

    public IPAddressLoginHandlerBeanDefinitionParser()

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Overrides:
    `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

    protected void doParse(Element config,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractLoginHandlerBeanDefinitionParser`

### getIPRanges

    protected List<IPRange> getIPRanges(Element config)

  Gets the list of IP ranges given in the configuration.

  Parameters:
    `config` - current configuration
  Returns:
    list of IP ranges

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.